6.0.0-git
2019-03-18

[#9755] print message issues for japanese
Summary print message issues for japanese
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester hiromi (at) tac (dot) tsukuba (dot) ac (dot) jp
Created 2011-03-31 (2909 days ago)
Due
Updated 2011-10-05 (2721 days ago)
Assigned
Resolved 2011-10-05 (2721 days ago)
Milestone
Patch No

History
2011-10-05 07:26:21 Michael Slusarz Assigned to Michael Slusarz
State ⇒ Resolved
Version ⇒ Git master
 
2011-10-05 07:25:47 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Bug #9755: Fix display of encoded subject text on print page

  3 files changed, 5 insertions(+), 2 deletions(-)
http://git.horde.org/horde-git/-/commit/f402a2848d5cdb0bb6b854f1383772d003e5f7dd
2011-03-31 05:14:59 hiromi (at) tac (dot) tsukuba (dot) ac (dot) jp Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ print message issues for japanese
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
New Attachment: imp-print-ff.zip Download
Reply to this comment
Printing of japanese message makes some garbages.
I attache the sample message and its printed image.
There are 2 issues, I think.
1) Header part seems there are mixed encoded characters.
"Date:" and "Subject:" were translated to japanese and encoded in UTF-8,
Date and subject strings were encoded in ISO-2022-JP.
2) Message body seems stripped some characters (",<,>) out.
If I use Firefox, the log said;
[imp] PHP ERROR: DOMDocument::loadHTML() [<a 
href='domdocument.loadhtml'>domdocument.loadhtml</a>]: Invalid char in 
CDATA 0x1B in Entity, line: 8 [pid 45183 on line 285 of 
"/usr/local/www/horde4/imp/view.php"]

Saved Queries